Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.sound
Class SCStatus

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.sound.SCStatus

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SCStatus
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

Sound Channel Status object

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Method Summary
`java.lang.Object` | `clone()` clones the current SCStatus object
`int` | `getChannelAttributes()` Retrieves the attributes of the sound channel
`boolean` | `getChannelBusy()` Returns the busy status of the sound channel
`boolean` | `getChannelPaused()` Retrieves pause status of the sound channel
`int` | `getCPULoad()` Retrieves the cpu load of the sound channel
`int` | `getCurrentTime()` Retrieves the current time.
`int` | `getEndTime()` Retrieves the end time.
`int` | `getStartTime()` Retrieves the start time.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Method Detail

### getStartTime

    public int getStartTime()

  Retrieves the start time.
  Returns:
    start time of sound in sound channel

### getEndTime

    public int getEndTime()

  Retrieves the end time.
  Returns:
    end time of sound in sound channel

### getCurrentTime

    public int getCurrentTime()

  Retrieves the current time.
  Returns:
    current time of sound in sound channel

### getChannelBusy

    public boolean getChannelBusy()

  Returns the busy status of the sound channel
  Returns:
    true if the sound channel is busy

### getChannelPaused

    public boolean getChannelPaused()

  Retrieves pause status of the sound channel
  Returns:
    true if the channel is busy

### getChannelAttributes

    public int getChannelAttributes()

  Retrieves the attributes of the sound channel
  Returns:
    attributes of the channel

### getCPULoad

    public int getCPULoad()

  Retrieves the cpu load of the sound channel
  Returns:
    cpu load of the channel

### clone

    public java.lang.Object clone()

  clones the current SCStatus object
  Returns:
    the cloned object

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD